package com.ruoyi.project.task.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.annotation.DataScopePlant;
import com.ruoyi.project.task.domain.TTaskRepair;

/**
 * 维修任务Mapper接口
 *
 * @author ruoyi
 * @date 2022-11-30
 */
public interface TTaskRepairMapper extends BaseMapper<TTaskRepair>
{
    /**
     * 查询维修任务
     *
     * @param id 维修任务主键
     * @return 维修任务
     */
    public TTaskRepair selectTTaskRepairById(Long id);

    /**
     * 查询维修任务列表
     *
     * @param tTaskRepair 维修任务
     * @return 维修任务集合
     */
    @DataScopePlant(deptAlias = "d")
    public List<TTaskRepair> selectTTaskRepairList(TTaskRepair tTaskRepair);

    /**
     * 新增维修任务
     *
     * @param tTaskRepair 维修任务
     * @return 结果
     */
    public int insertTTaskRepair(TTaskRepair tTaskRepair);

    /**
     * 修改维修任务
     *
     * @param tTaskRepair 维修任务
     * @return 结果
     */
    public int updateTTaskRepair(TTaskRepair tTaskRepair);

    public int updateTTaskRepairByIds(Long[] id);

    /**
     * 删除维修任务
     *
     * @param id 维修任务主键
     * @return 结果
     */
    public int deleteTTaskRepairById(Long id);

    /**
     * 批量删除维修任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTTaskRepairByIds(Long[] ids);
}
